Package com.emc.d2fs.models.comment

# Class Comment

java.lang.Object
com.emc.d2fs.models.comment.Comment

All Implemented Interfaces:
  `Serializable`

public class Comment extends Object implements Serializable

Java class for comment complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="comment">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/comment}comments" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="comment_id" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="owner_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="modify_date" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="content_value" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="parent_id" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="title" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="canDelete" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="canReply" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Comment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommentId()`
  Gets the value of the commentId property.
  `List<Comment>`
  `getComments()`
  Gets the value of the comments property.
  `String`
  `getContentValue()`
  Gets the value of the contentValue property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getModifyDate()`
  Gets the value of the modifyDate property.
  `String`
  `getOwnerName()`
  Gets the value of the ownerName property.
  `String`
  `getParentId()`
  Gets the value of the parentId property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `Boolean`
  `isCanDelete()`
  Gets the value of the canDelete property.
  `Boolean`
  `isCanReply()`
  Gets the value of the canReply property.
  `void`
  `setCanDelete(Boolean value)`
  Sets the value of the canDelete property.
  `void`
  `setCanReply(Boolean value)`
  Sets the value of the canReply property.
  `void`
  `setCommentId(String value)`
  Sets the value of the commentId property.
  `void`
  `setContentValue(String value)`
  Sets the value of the contentValue property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setModifyDate(String value)`
  Sets the value of the modifyDate property.
  `void`
  `setOwnerName(String value)`
  Sets the value of the ownerName property.
  `void`
  `setParentId(String value)`
  Sets the value of the parentId property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Comment

    public Comment()

- ## Method Details

  - ### getComments

    public List<Comment> getComments()
    Gets the value of the comments property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the comments property.

    For example, to add a new item, do as follows:

            getComments().add(newItem);

    Objects of the following type(s) are allowed in the list `Comment`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCommentId

    public String getCommentId()
    Gets the value of the commentId property.
    Returns:
      possible object is `String`

  - ### setCommentId

    public void setCommentId(String value)
    Sets the value of the commentId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOwnerName

    public String getOwnerName()
    Gets the value of the ownerName property.
    Returns:
      possible object is `String`

  - ### setOwnerName

    public void setOwnerName(String value)
    Sets the value of the ownerName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getModifyDate

    public String getModifyDate()
    Gets the value of the modifyDate property.
    Returns:
      possible object is `String`

  - ### setModifyDate

    public void setModifyDate(String value)
    Sets the value of the modifyDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getContentValue

    public String getContentValue()
    Gets the value of the contentValue property.
    Returns:
      possible object is `String`

  - ### setContentValue

    public void setContentValue(String value)
    Sets the value of the contentValue property.
    Parameters:
      `value` - allowed object is `String`

  - ### getParentId

    public String getParentId()
    Gets the value of the parentId property.
    Returns:
      possible object is `String`

  - ### setParentId

    public void setParentId(String value)
    Sets the value of the parentId property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### isCanDelete

    public Boolean isCanDelete()
    Gets the value of the canDelete property.
    Returns:
      possible object is `Boolean`

  - ### setCanDelete

    public void setCanDelete(Boolean value)
    Sets the value of the canDelete property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isCanReply

    public Boolean isCanReply()
    Gets the value of the canReply property.
    Returns:
      possible object is `Boolean`

  - ### setCanReply

    public void setCanReply(Boolean value)
    Sets the value of the canReply property.
    Parameters:
      `value` - allowed object is `Boolean`